OpsyDistance | Hit Distance Checker (Anti-Reach) [1.8.x - 1.17.x] 1.2.0

A lightweight and powerful hit distance checker to know if a player uses reach

  1. Code cleaning + Command on reach

    ZeTioZ
    • Added the possibility to executes command if the reach is detected
    • Cleaned the code


    Please, remove your config and messages file so the plugin can generate the new ones!
  2. Message placeholder fix

    ZeTioZ
    Fixing a message placeholder in the alert message were the victim was the damager.
  3. Kick update + Configurations + Code Cleaning

    ZeTioZ
    Here is one of the features which was on the to do list! The auto-kick feature !
    You can configure it directly in the configs file. The kick works with a tps and ping treshold and of course it works with all server versions from 1.8 to 1.15

    The code has also been cleaned up to get a more compact and lightway plugin!

    Hope you enjoy, don't forget to rate and give feedbacks!

    Don't forget to delete your configs and messages files to make the plugin create the new ones...
  4. Enable/Disable and Permissions update

    ZeTioZ
    A simple update to the plugin to add the permissions errors messages and the possibility to switch between Enabled/Disabled by simply doing "/opsyd".
    Updating also the plugin page for the over hit distance alert permission !

    Don't forget to delete your message file to make the plugin create the new one with the permissions errors messages !